﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Data;
using System.Data.OleDb;

namespace demo1.ClassLib
{
    public class User
    {
        /// <summary>
        /// 检测用户名和密码是否正确；
        /// </summary>
        /// <param name="userName"></param>
        /// <param name="password"></param>
        /// <returns></returns>
        public static bool CheckUserNameAndPassword(string userName, string password)
        {
            UserInfo userInfo = GetUserInfo(userName);

            if (userName == userInfo.UserName && password == userInfo.Password)
            {
                return true;
            }

            return false;
        }

        /// <summary>
        /// 读取用户信息；
        /// </summary>
        /// <param name="userName"></param>
        /// <returns></returns>
        public static UserInfo GetUserInfo(string userName)
        {
            UserInfo userInfo = new UserInfo();

            string connStr = "Provider=microsoft.jet.oledb.4.0;data source=" + System.Web.HttpContext.Current.Server.MapPath("db.mdb");
            string cmdText = "SELECT * FROM Users WHERE UserName=@UserName";

            OleDbConnection conn = new OleDbConnection(connStr);
            OleDbCommand cmd = new OleDbCommand(cmdText, conn);            
            cmd.Parameters.Add(new OleDbParameter("@UserName", userName));
            conn.Open();
            OleDbDataReader dr = cmd.ExecuteReader();
            if (dr.Read())
            {
                userInfo.UserName           = dr["UserName"].ToString();
                userInfo.Password           = dr["Password"].ToString();
                userInfo.UserSpaceHomeDir   = dr["UserSpaceHomeDir"].ToString();
                userInfo.UserSpaceCapacity  = Convert.ToInt64(dr["UserSpaceCapacity"]);
            }
            dr.Close();

            return userInfo;
        }
    }

    public class UserInfo
    {
        string userName;
        string password;
        string userSpaceHomeDir;
        long userSpaceCapacity;

        /// <summary>
        /// 用户名；
        /// </summary>
        public string UserName
        {
            get { return userName; }
            set { userName = value; }
        }

        /// <summary>
        /// 密码；
        /// </summary>
        public string Password
        {
            get { return password; }
            set { password = value; }
        }

        /// <summary>
        /// 用户存储空间的主目录（物理目录，例如：D:\users\zhangsan）；
        /// </summary>
        public string UserSpaceHomeDir
        {
            get { return userSpaceHomeDir; }
            set { userSpaceHomeDir = value; }
        }

        /// <summary>
        /// 为用户分配的存储空间大小；
        /// </summary>
        public long UserSpaceCapacity
        {
            get { return userSpaceCapacity; }
            set { userSpaceCapacity = value; }
        }
    }
}
