﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace demo1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnLogin_Click(object sender, EventArgs e)
        {
            string userName = txtUserName.Text.Trim();
            string password = this.txtPassword.Text.Trim();

            if (String.IsNullOrEmpty(userName) || String.IsNullOrEmpty(password))
            {
                lblResult.Text = "<font color='red'>用户名或密码错误！</font>";
                return;
            }

            if (ClassLib.User.CheckUserNameAndPassword(userName, password)) //验证用户名和密码是否正确；
            {
                //从您自己的数据库中读出用户信息；
                ClassLib.UserInfo userInfo = ClassLib.User.GetUserInfo(userName);

                
                /****************************************************************************************************************/

                long spaceCapacity      = userInfo.UserSpaceCapacity;   //用户存储空间大小；
                string userSpaceHomeDir = userInfo.UserSpaceHomeDir;    //用户存储空间主目录

                
                //声明以下几个变量；
                long spaceUsed = 0;  //已使用的空间大小；
                int fsObjCount = 0;  //用户空间内的文件和文件夹总数；
                int fileCount  = 0;  //用户空间内的文件总数；

                //计算出已使用的空间大小；
                spaceUsed = FSManager.Components.API.GetSpaceUsed(userSpaceHomeDir, ref fsObjCount, ref fileCount);

                //将数据保存到cookie中，以便文件管理模块的各个页面使用；
                FSManager.Components.API.Prepare(userName, userSpaceHomeDir, spaceCapacity, spaceUsed, fsObjCount, fileCount);

                /****************************************************************************************************************/

                
                //在此加入您自己身份验证逻辑代码及其它辅助信息，比如：
                Session["UserName"]             = userName;
                Session["UserSpaceCapacity"]    = spaceCapacity;


                //现在，转到文件管理页面；
                Response.Redirect("MySpace/Default.aspx", true);
            }
            else
            {
                lblResult.Text = "<font color='red'>用户名或密码错误！</font>";
                return;
            }
        }
    }
}
